Page MenuHomePhabricator

eo: remove class functions from eo
ClosedPublic

Authored by bu5hm4n on Feb 10 2019, 8:32 AM.

Details

Summary

As in the previous commit explained, we want to get rid of class
functions in eo, and make them just c functions right away.

This commit removes the class parameter from the eo_class_function_set
call, and adjusts the tests to not depend on class functions anymore.
Class functions are now not tested anymore, tests that used them as a
way to test *things* are adjusted to test them now with object
functions, tests that just tested the working of class functions are
dropped.

This fixes T7675.

Depends on D7901

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Feb 10 2019, 8:32 AM
bu5hm4n requested review of this revision.Feb 10 2019, 8:32 AM
This revision is now accepted and ready to land.Feb 11 2019, 3:50 PM
bu5hm4n updated this revision to Diff 19320.Feb 12 2019, 3:18 AM
bu5hm4n edited the summary of this revision. (Show Details)

update

Closed by commit rEFL46885653bc04: eo: remove class functions from eo (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 13 2019, 8:00 AM
This revision was automatically updated to reflect the committed changes.